<?php

declare(strict_types=1);

namespace Drupal\static_setting_contexts;

use Drupal\Core\Cache\CacheBackendInterface;
use Drupal\Core\Extension\ModuleHandlerInterface;
use Drupal\Core\Plugin\DefaultPluginManager;
use Drupal\static_setting_contexts\Attribute\StaticSettings;

/**
 * StaticSettings plugin manager.
 */
final class StaticSettingsPluginManager extends DefaultPluginManager {

  /**
   * Constructs the object.
   */
  public function __construct(\Traversable $namespaces, CacheBackendInterface $cache_backend, ModuleHandlerInterface $module_handler) {
    parent::__construct('Plugin/StaticSettings', $namespaces, $module_handler, StaticSettingsInterface::class, StaticSettings::class);
    $this->alterInfo('static_settings_info');
    $this->setCacheBackend($cache_backend, 'static_settings_plugins');
  }

}
