<?php

declare(strict_types=1);

namespace Drupal\static_setting_contexts_tests\Plugin\StaticSettings;

use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\static_setting_contexts\Attribute\StaticSettings;
use StaticSettings\BaseStaticSettingInterface;

/**
 * Enum class for testing static settings.
 */
#[StaticSettings(
  id: 'test_setting',
  label: new TranslatableMarkup('Test Setting'),
  description: new TranslatableMarkup('A test setting.'),
)]
enum StaticSettingsTestEnum: string implements BaseStaticSettingInterface {
  case OptionOne = 'option_one';
  case OptionTwo = 'option_two';

  /**
   * {@inheritDoc}
   */
  public static function settingName(): string {
    return 'test-enum';
  }

}
